Copy PageUpdate a userput https://vision-api.truepic.{tld}/v3/users/{userId}Missing users and users inaccessible to the caller return HTTP 404 with Not Found.Path ParamsuserIdintegerrequired1 to 2147483647The ID of the existing user.Body ParamsThe request body for PUT /users/{userId}emailstringThe email address of the user.first_namestringThe first name of the user.last_namestringThe last name of the user.rolestringenumA role to assign to the user. This will dictate what permissions the user has in the Vision system.VISION_AGENT_ADMINVISION_AGENT_REPORTVISION_AGENTVISION_AGENT_OWN_INSPECTIONSVIEW_ONLYAllowed:VISION_AGENT_ADMINVISION_AGENT_REPORTVISION_AGENTVISION_AGENT_OWN_INSPECTIONSVIEW_ONLYteamsarray of numbersA list of team IDs. This will update the teams that the user is assigned to.teamsADD numberResponses 200Successfully updated the user 400The request is malformed or fails path, query, body, or lifecycle validation. Standard errors include response_code, message and api_version. Use the x-request-id response header when reporting a failed request. 401Authentication failed, or the user/client doesn't have permission to access the requested resource. 403The user doesn't have permission to access the requested resource. 404The requested resource couldn't be found. 412A request precondition failed. Some operations also return 412 when a related resource is not found, such as an assigned member when updating an inspection. Missing required fields normally return 400. Check the operation and message for the failed precondition. 500An unexpected error occurred.Updated 6 months ago Get a userRemove a userDid this page help you?YesNo